Difference between revisions of "Arch MeshToShape/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
m
Line 27: Line 27:
 
# Appuyez sur l'entrée {{Button|[[Image:Arch MeshToShape.svg|16px]] [[Arch MeshToShape/fr|Maillage en forme]]}} dans {{MenuCommand|Arch → Utilitaires → Maillage en forme}}.
 
# Appuyez sur l'entrée {{Button|[[Image:Arch MeshToShape.svg|16px]] [[Arch MeshToShape/fr|Maillage en forme]]}} dans {{MenuCommand|Arch → Utilitaires → Maillage en forme}}.
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
 
{{Emphasis|Voir aussi :}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
 
{{Emphasis|Voir aussi :}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
</div>
 
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Revision as of 10:03, 21 January 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Arch MeshToShape.svg Arch Maillage vers une forme

Emplacement du menu
Arch → Utilitaires → Maillage vers forme
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Séparer un objet Mesh, Arch Supprimer la forme


Description

Cet outil convertit une maille sélectionnée en un objet Shape. Notez que cet outil est optimisé pour les objets a faces planes (pas de courbes). L'outil correspondant de Workbench Part.svg Part module est peut-être plus adapté pour modifier les objets qui contiennent des faces courbes.

Utilisation

  1. Sélectionnez un objet mesh (maille)
  2. Appuyez sur l'entrée Arch MeshToShape.svg Maillage en forme dans Arch → Utilitaires → Maillage en forme.

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

Cet outil peut être utilisé dans une macro et utilisé dans la console Python en utilisant la fonction :

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Transforme le obj donné, un maillage en une forme joignant des facettes coplanaires.
  • Si mark est True, les objets non solides seront affichés en rouge.
  • Si fast est True, il utilise un algorithme plus rapide en créant un shell à partir des facettes puis en supprimant le séparateur.
  • tol est la tolérance utilisée lors de la conversion de segments de maillage en fils.
  • Si flat est True, les fils seront parfaitement plans pour être sûr qu'ils puissent être transformés en faces mais cela pourrait laisser des espaces dans l shell final.
  • Si cut est True, les trous dans les faces sont créés par soustraction.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)